osl::move_generator::AddEffectShort< P, T, isAttackToKing > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::move_generator::AddEffectShort< P, T, isAttackToKing > Struct Template Reference

AddEffect の部品 足の短い駒のケース. More...

`#include <addEffect_.h>`

## Public Member Functions
| BOOST_STATIC_ASSERT ((PtypeTraits< T >::isBasic))
| BOOST_STATIC_ASSERT ((PtypeTraits< T >::canPromote))
template<class Action >
void | generate (const NumEffectState &state, Square target, Action &action, NearMask nearMask)

## Static Public Member Functions
template<class Action >
static void | generate (const NumEffectState &state, Square target, Action &action, NearMask nearMask)
| 足の短い駒による利きの生成 More...

## Detailed Description

### template<Player P, Ptype T, bool isAttackToKing = false>
struct osl::move_generator::AddEffectShort< P, T, isAttackToKing >

AddEffect の部品 足の短い駒のケース.

Definition at line 17 of file addEffect_.h.

## Member Function Documentation

template<Player P, Ptype T, bool isAttackToKing = false>

osl::move_generator::AddEffectShort< P, T, isAttackToKing >::BOOST_STATIC_ASSERT | ( | (PtypeTraits< T >::isBasic) | ) |  |

template<Player P, Ptype T, bool isAttackToKing = false>

osl::move_generator::AddEffectShort< P, T, isAttackToKing >::BOOST_STATIC_ASSERT | ( | (PtypeTraits< T >::canPromote) | ) |  |

template<Player P, Ptype T, bool isAttackToKing = false>
template<class Action >

static void osl::move_generator::AddEffectShort< P, T, isAttackToKing >::generate | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action,
|  | NearMask | nearMask
| ) |  |
| static

足の短い駒による利きの生成

Parameters

  P(template) | - 攻撃側のプレイヤー
  T(template) | - Ptype T およびpromoteした駒による利きの生成
  state | - 盤面
  target | - 利きをつけられるマス
  action | - 手がある時のcallback関数
  nearMask | - targetの10近傍のマスク

template<Player P, Ptype T, bool isAttackToKing = false>
template<class Action >

void osl::move_generator::AddEffectShort< P, T, isAttackToKing >::generate | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action,
|  | NearMask | nearMask
| ) |  |

drop move

Definition at line 422 of file addEffect_.tcc.

References BOOST_STATIC_ASSERT(), and target.

The documentation for this struct was generated from the following files:

- addEffect_.h
- addEffect_.tcc